slepc-3.21.1 2024-04-26
Report Typos and Errors

# DSSolve

Solves the problem.

### Synopsis

    #include "slepcds.h"
    PetscErrorCode DSSolve(DS ds,PetscScalar eigr[],PetscScalar eigi[])

Logically Collective

### Input Parameters

| ds | - the direct solver context
| eigr | - array to store the computed eigenvalues (real part)
| eigi | - array to store the computed eigenvalues (imaginary part)

### Note

This call brings the dense system to condensed form. No ordering of the eigenvalues is enforced (for this, call DSSort() afterwards).

### See Also

DSSort(), DSStateType

### Level

intermediate

### Location

src/sys/classes/ds/interface/dsops.c
Index of all DS routines
Table of Contents for all manual pages
Index of all manual pages